Bug 104489 - HELPWIKI $[officename] in page title is not replaced when converted to wiki page URL
Summary: HELPWIKI $[officename] in page title is not replaced when converted to wiki p...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.0.2
Keywords:
Depends on:
Blocks: Wiki-Help
  Show dependency treegraph
 
Reported: 2016-12-08 08:22 UTC by Gabor Kelemen
Modified: 2016-12-28 14:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2016-12-08 08:22:26 UTC
In this file:
http://opengrok.libreoffice.org/xref/help/source/text/shared/main0800.xhp

we have "$[officename] and the Internet" as title.

In the helpwiki the corresponding page URL becomes:

https://help.libreoffice.org/Common/and_the_Internet

But it should be: LibreOffice_and_the_Internet
Comment 1 Buovjaga 2016-12-12 18:59:49 UTC
Setting to NEW.
Comment 2 Commit Notification 2016-12-14 22:12:58 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=96a84b25e3ae012661a68da1ecdbbf0d94089d9b

tdf#104489 Include the product name in wiki page URL
Comment 3 Commit Notification 2016-12-24 23:32:38 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=422cd594a106151a3142c150ad4fcda75ffad9b2&h=libreoffice-5-3

tdf#104489 Include the product name in wiki page URL